using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Table("app_setting")]
public partial class AppSetting
{
    [Key]
    [Column("name", TypeName = "citext")]
    public string Name { get; set; } = null!;

    [Column("value", TypeName = "citext")]
    public string Value { get; set; } = null!;

    [Column("metadata", TypeName = "citext")]
    public string? Metadata { get; set; }
}
